## gst-plugins-bad1.0 1.22.3

=== debian/changelog ===
gst-plugins-bad1.0 (1.22.3-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Jun 2023 14:38:43 -0400

gst-plugins-bad1.0 (1.22.3-1) experimental; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release
  * debian/rules: Enable all hardening flags

  [ Laurent Bigonville ]
  * debian/rules: Disable dvb element on non-linux architectures

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 21 May 2023 08:31:50 -0400
