## gst-plugins-bad1.0 1.22.4

=== debian/changelog ===
gst-plugins-bad1.0 (1.22.4-1ubuntu4) noble; urgency=medium

  * Update Skip-failing-tests.patch to version from Debian unstable.

 -- Rik Mills <rikmills@kde.org>  Sat, 23 Dec 2023 13:02:44 +0000

gst-plugins-bad1.0 (1.22.4-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libzxing3.

 -- Rik Mills <rikmills@kde.org>  Sat, 23 Dec 2023 12:11:26 +0000

gst-plugins-bad1.0 (1.22.4-1ubuntu2) noble; urgency=medium

  * SECURITY UPDATE: integer overflow in MXF file handling
    - debian/patches/CVE-2023-40474.patch: fix integer overflow causing out
      of bounds writes when handling invalid uncompressed video in
      gst/mxf/mxfup.c.
    - CVE-2023-40474
  * SECURITY UPDATE: integer overflow in MXF file handling
    - debian/patches/CVE-2023-40475.patch: check number of channels for
      AES3 audio in gst/mxf/mxfd10.c.
    - CVE-2023-40475
  * SECURITY UPDATE: integer overflow in H.265 video parser
    - debian/patches/CVE-2023-40476.patch: fix possible overflow using
      max_sub_layers_minus1 in gst-libs/gst/codecparsers/gsth265parser.c.
    - CVE-2023-40476
  * SECURITY UPDATE: AV1 codec parser buffer overflow
    - debian/patches/CVE-2023-44429.patch: clip max tile rows and cols
      values in gst-libs/gst/codecparsers/gstav1parser.c.
    - CVE-2023-44429
  * SECURITY UPDATE: MXF demuxer use-after-free
    - debian/patches/CVE-2023-44446.patch: store GstMXFDemuxEssenceTrack in
      their own fixed allocation in gst/mxf/mxfdemux.*.
    - CVE-2023-44446

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 28 Nov 2023 11:29:21 -0500

gst-plugins-bad1.0 (1.22.4-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libqrencode-dev, libzxingcore-dev, glslc,
          libdirectfb-dev, liblrdf0-dev, libneon27-dev
  * Stop disabling openh264 on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 30 Jun 2023 13:15:43 -0400

gst-plugins-bad1.0 (1.22.4-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release

  [ Dylan Aïssi ]
  * Build the AVTP (Audio Video Transport Protocol) plugin

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 30 Jun 2023 13:12:02 -0400

gst-plugins-bad1.0 (1.22.3-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - Don't build wpewebkit plugins
    - Stop installing camerabin2 basecamerabin jpegformat - plugins which have
      moved to -good.
    - Have gstreamer-plugins-bad-1.0.pc Require gstreamer-plugins-good-1.0 -
      the package we've moved the referenced plugins to. This maintains
      compatibility with upstream software and other distributions.
    - Don't build the opencv binary packages on i386, avoiding a large tree
      of numeric-related dependencies for a binary package it's not required
      to support.
    - d/control, d/gstreamer1.0-plugins-bad.install, d/rules:
      + Don't require these Build-Depends on i386:
        - libltc-dev, libfreeaptx-dev, libopenh264-dev, libqrencode-dev,
          libzxingcore-dev, glslc, libdirectfb-dev, liblrdf0-dev, libneon27-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 21 May 2023 08:37:06 -0400
