## gst-plugins-bad1.0 1.22.7

=== debian/changelog ===
gst-plugins-bad1.0 (1.22.7-1) unstable; urgency=high

  * Team upload
  * New upstream release
    (Closes: #1056101, #1056102, #1053259, #1053260, #1053261)
    - CVE-2023-40474: integer overflow in MXF file handling
    - CVE-2023-40475: integer overflow in MXF file handling
    - CVE-2023-40476: integer overflow in H.265 video parser
    - CVE-2023-44429: AV1 codec parser buffer overflow
    - CVE-2023-44446: MXF demuxer use-after-free
  * Update libzxing-dev Build-Depends (Closes: #1054382)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 Nov 2023 19:29:13 -0500
