=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gst-plugins-bad1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gst-plugins-bad1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper,
@@ -16,7 +15,7 @@
                libglib2.0-dev (>= 2.68),
                libgstreamer1.0-dev (>= 1.22.0),
                libgstreamer-plugins-base1.0-dev (>= 1.22.0),
-               glslc [!i386],
+               glslc,
                gstreamer1.0-plugins-base (>= 1.22.0),
                gstreamer1.0-plugins-good (>= 1.22.0),
                gstreamer1.0-tools,
@@ -33,7 +32,7 @@
                libssh2-1-dev (>= 1.4.3),
                libdca-dev,
                libde265-dev (>= 0.9),
-               libdirectfb-dev [!i386],
+               libdirectfb-dev,
                libdvdnav-dev (>= 4.1.2) [!hurd-any],
                libexempi-dev,
                libexif-dev (>= 0.6.16),
@@ -47,28 +46,30 @@
                libkate-dev (>= 0.1.7),
                liblcms2-dev (>= 2.7),
                liblilv-dev (>= 0.22),
-               liblrdf0-dev [!i386],
+               liblrdf0-dev,
                libmjpegtools-dev (>= 2.0.0),
                libmodplug-dev,
                libmpcdec-dev,
                libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
-               libltc-dev (>= 1.1.4) [!i386],
-               libneon27-dev [!i386],
+               libltc-dev (>= 1.1.4),
+               libneon27-dev,
                libnice-dev (>= 0.1.20),
                libopenal-dev (>= 1:1.14),
-               libopencv-dev (>= 3.0.0) [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
-               opencv-data [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
+               libopencv-dev (>= 3.0.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
+               opencv-data [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
+               libwpebackend-fdo-1.0-dev (>= 1.8.0) [linux-any],
+               libwpewebkit-1.1-dev (>= 2.28.0) [linux-any],
                libopenexr-dev,
                libopenh264-dev (>= 1.3.0),
                libopenjp2-7-dev (>= 2.2),
                libopenmpt-dev,
                libopus-dev (>= 0.9.4),
-               libfreeaptx-dev (>= 0.1.1) [!i386],
-               libopenni2-dev (>= 0.26) [!i386],
+               libfreeaptx-dev (>= 0.1.1),
+               libopenni2-dev (>= 0.26) [linux-any],
                liborc-0.4-dev (>= 1:0.4.24),
                libpango1.0-dev (>= 1.22),
                libpng-dev,
-               libqrencode-dev [!i386],
+               libqrencode-dev,
                libjson-glib-dev,
                librsvg2-dev (>= 2.36.2),
                librtmp-dev,
@@ -102,7 +103,7 @@
                libwayland-dev (>= 1.11.0) [linux-any],
                libdrm-dev (>= 2.4.98) [linux-any],
                libva-dev (>= 1.8) [linux-any],
-               libzxingcore-dev (>= 1.4.0) [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
+               libzxing-dev (>= 1.4.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
                wayland-protocols (>= 1.4) [linux-any],
                libmfx-dev [amd64],
                libgirepository1.0-dev (>= 0.9.12-4~),
@@ -177,7 +178,7 @@
  real live maintainer, or some actual wide use.
 
 Package: gstreamer1.0-opencv
-Architecture: amd64 arm64 armel armhf mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64
+Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
@@ -208,6 +209,31 @@
  .
  This package contains the OpenCV plugins.
 
+Package: gstreamer1.0-wpe
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         gstreamer1.0-plugins-base,
+         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
+XB-GStreamer-Version: ${gstreamer:Version}
+XB-GStreamer-Elements: ${gstreamer:Elements}
+XB-GStreamer-URI-Sources: ${gstreamer:URISources}
+Description: GStreamer WPEWebKit plugin
+ GStreamer is a streaming media framework, based on graphs of filters
+ which operate on media data.  Applications using this library can do
+ anything from real-time sound processing to playing videos, and just
+ about anything else media-related.  Its plugin-based architecture means
+ that new data types or processing capabilities can be added simply by
+ installing new plug-ins.
+ .
+ GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
+ to the rest. They might be close to being good quality, but they're missing
+ something - be it a good code review, some documentation, a set of tests, a
+ real live maintainer, or some actual wide use.
+ .
+ This package contains the WPEWebKit plugin.
+
 Package: libgstreamer-plugins-bad1.0-0
 Architecture: any
 Multi-Arch: same
@@ -231,7 +257,7 @@
  is not guaranteed to be stable.
 
 Package: libgstreamer-opencv1.0-0
-Architecture: amd64 arm64 armel armhf mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64
+Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
@@ -240,26 +266,3 @@
 Description: GStreamer OpenCV libraries
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
- anything from real-time sound processing to playing videos, and just
- about anything else media-related.  Its plugin-based architecture means
- that new data types or processing capabilities can be added simply by
- installing new plug-ins.
- .
- GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
- to the rest. They might be close to being good quality, but they're missing
- something - be it a good code review, some documentation, a set of tests, a
- real live maintainer, or some actual wide use.
- .
- This package contains shared GStreamer libraries for OpenCV.
-
-Package: libgstreamer-plugins-bad1.0-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: ${misc:Depends},
-         libgstreamer-plugins-bad1.0-0 (= ${binary:Version}),
-         libgstreamer-opencv1.0-0 (= ${binary:Version}) [amd64 arm64 armel armhf mips64el mipsel ppc64el s390x alpha hppa hurd-i386 m68k powerpc ppc64 riscv64],
-         libgstreamer1.0-dev,
-         libgstreamer-plugins-base1.0-dev,
-         libgstreamer-plugins-good1.0-dev,
-         gir1.2-gst-plugins-bad-1.0 (= ${binary:Version}),
